---
RSpec/FactoryBot/AvoidCreate:
  Exclude:
    - 'ee/spec/presenters/approval_rule_presenter_spec.rb'
    - 'ee/spec/presenters/audit_event_presenter_spec.rb'
    - 'ee/spec/presenters/ci/build_runner_presenter_spec.rb'
    - 'ee/spec/presenters/ci/minutes/usage_presenter_spec.rb'
    - 'ee/spec/presenters/ci/pipeline_presenter_spec.rb'
    - 'ee/spec/presenters/dast/site_profile_presenter_spec.rb'
    - 'ee/spec/presenters/ee/blob_presenter_spec.rb'
    - 'ee/spec/presenters/ee/clusters/cluster_presenter_spec.rb'
    - 'ee/spec/presenters/ee/instance_clusterable_presenter_spec.rb'
    - 'ee/spec/presenters/ee/projects/security/configuration_presenter_spec.rb'
    - 'ee/spec/presenters/epic_issue_presenter_spec.rb'
    - 'ee/spec/presenters/epic_presenter_spec.rb'
    - 'ee/spec/presenters/group_clusterable_presenter_spec.rb'
    - 'ee/spec/presenters/merge_request_approver_presenter_spec.rb'
    - 'ee/spec/presenters/merge_request_presenter_spec.rb'
    - 'ee/spec/presenters/project_clusterable_presenter_spec.rb'
    - 'ee/spec/presenters/subscription_presenter_spec.rb'
    - 'ee/spec/presenters/vulnerability_presenter_spec.rb'
    - 'ee/spec/presenters/web_hooks/group/hook_presenter_spec.rb'
    - 'ee/spec/serializers/analytics/cycle_analytics/stage_entity_spec.rb'
    - 'ee/spec/serializers/analytics/cycle_analytics/value_stream_errors_serializer_spec.rb'
    - 'ee/spec/serializers/audit_event_entity_spec.rb'
    - 'ee/spec/serializers/audit_event_serializer_spec.rb'
    - 'ee/spec/serializers/blocking_merge_request_entity_spec.rb'
    - 'ee/spec/serializers/clusters/deployment_entity_spec.rb'
    - 'ee/spec/serializers/clusters/environment_entity_spec.rb'
    - 'ee/spec/serializers/clusters/environment_serializer_spec.rb'
    - 'ee/spec/serializers/dashboard_environment_entity_spec.rb'
    - 'ee/spec/serializers/dashboard_environments_serializer_spec.rb'
    - 'ee/spec/serializers/dashboard_operations_project_entity_spec.rb'
    - 'ee/spec/serializers/dependency_entity_spec.rb'
    - 'ee/spec/serializers/dependency_list_serializer_spec.rb'
    - 'ee/spec/serializers/ee/blob_entity_spec.rb'
    - 'ee/spec/serializers/ee/build_details_entity_spec.rb'
    - 'ee/spec/serializers/ee/ci/job_entity_spec.rb'
    - 'ee/spec/serializers/ee/deployment_entity_spec.rb'
    - 'ee/spec/serializers/ee/environment_serializer_spec.rb'
    - 'ee/spec/serializers/ee/group_child_entity_spec.rb'
    - 'ee/spec/serializers/ee/issue_board_entity_spec.rb'
    - 'ee/spec/serializers/ee/issue_entity_spec.rb'
    - 'ee/spec/serializers/ee/issue_sidebar_basic_entity_spec.rb'
    - 'ee/spec/serializers/ee/issue_sidebar_extras_entity_spec.rb'
    - 'ee/spec/serializers/ee/merge_request_poll_cached_widget_entity_spec.rb'
    - 'ee/spec/serializers/ee/note_entity_spec.rb'
    - 'ee/spec/serializers/ee/user_serializer_spec.rb'
    - 'ee/spec/serializers/environment_entity_spec.rb'
    - 'ee/spec/serializers/epic_entity_spec.rb'
    - 'ee/spec/serializers/epic_note_entity_spec.rb'
    - 'ee/spec/serializers/epics/related_epic_entity_spec.rb'
    - 'ee/spec/serializers/fork_namespace_entity_spec.rb'
    - 'ee/spec/serializers/geo_project_registry_entity_spec.rb'
    - 'ee/spec/serializers/incident_management/escalation_policy_entity_spec.rb'
    - 'ee/spec/serializers/incident_management/oncall_schedule_entity_spec.rb'
    - 'ee/spec/serializers/integrations/field_entity_spec.rb'
    - 'ee/spec/serializers/integrations/jira_serializers/issue_detail_entity_spec.rb'
    - 'ee/spec/serializers/integrations/jira_serializers/issue_entity_spec.rb'
    - 'ee/spec/serializers/integrations/jira_serializers/issue_serializer_spec.rb'
    - 'ee/spec/serializers/integrations/zentao_serializers/issue_entity_spec.rb'
    - 'ee/spec/serializers/issuable_sidebar_extras_entity_spec.rb'
    - 'ee/spec/serializers/issue_serializer_spec.rb'
    - 'ee/spec/serializers/issues/linked_issue_feature_flag_entity_spec.rb'
    - 'ee/spec/serializers/license_compliance/collapsed_comparer_entity_spec.rb'
    - 'ee/spec/serializers/license_compliance/comparer_entity_spec.rb'
    - 'ee/spec/serializers/licenses_list_entity_spec.rb'
    - 'ee/spec/serializers/licenses_list_serializer_spec.rb'
    - 'ee/spec/serializers/linked_feature_flag_issue_entity_spec.rb'
    - 'ee/spec/serializers/member_entity_spec.rb'
    - 'ee/spec/serializers/member_user_entity_spec.rb'
    - 'ee/spec/serializers/merge_request_poll_widget_entity_spec.rb'
    - 'ee/spec/serializers/merge_request_sidebar_basic_entity_spec.rb'
    - 'ee/spec/serializers/merge_request_widget_entity_spec.rb'
    - 'ee/spec/serializers/pipeline_serializer_spec.rb'
    - 'ee/spec/serializers/productivity_analytics_merge_request_entity_spec.rb'
    - 'ee/spec/serializers/project_mirror_entity_spec.rb'
    - 'ee/spec/serializers/scim_oauth_access_token_entity_spec.rb'
    - 'ee/spec/serializers/security/vulnerability_report_data_entity_spec.rb'
    - 'ee/spec/serializers/status_page/incident_comment_entity_spec.rb'
    - 'ee/spec/serializers/status_page/incident_entity_spec.rb'
    - 'ee/spec/serializers/status_page/incident_serializer_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/feedback_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/finding_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/finding_reports_comparer_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/finding_serializer_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/identifier_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/request_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/response_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/scanner_entity_spec.rb'
    - 'ee/spec/serializers/vulnerability_entity_spec.rb'
    - 'ee/spec/serializers/vulnerability_note_entity_spec.rb'
    - 'spec/presenters/alert_management/alert_presenter_spec.rb'
    - 'spec/presenters/blob_presenter_spec.rb'
    - 'spec/presenters/blobs/notebook_presenter_spec.rb'
    - 'spec/presenters/ci/bridge_presenter_spec.rb'
    - 'spec/presenters/ci/build_presenter_spec.rb'
    - 'spec/presenters/ci/build_runner_presenter_spec.rb'
    - 'spec/presenters/ci/group_variable_presenter_spec.rb'
    - 'spec/presenters/ci/pipeline_artifacts/code_coverage_presenter_spec.rb'
    - 'spec/presenters/ci/pipeline_artifacts/code_quality_mr_diff_presenter_spec.rb'
    - 'spec/presenters/ci/pipeline_presenter_spec.rb'
    - 'spec/presenters/ci/stage_presenter_spec.rb'
    - 'spec/presenters/ci/trigger_presenter_spec.rb'
    - 'spec/presenters/ci/variable_presenter_spec.rb'
    - 'spec/presenters/clusterable_presenter_spec.rb'
    - 'spec/presenters/clusters/cluster_presenter_spec.rb'
    - 'spec/presenters/commit_presenter_spec.rb'
    - 'spec/presenters/commit_status_presenter_spec.rb'
    - 'spec/presenters/deployments/deployment_presenter_spec.rb'
    - 'spec/presenters/event_presenter_spec.rb'
    - 'spec/presenters/gitlab/blame_presenter_spec.rb'
    - 'spec/presenters/group_clusterable_presenter_spec.rb'
    - 'spec/presenters/instance_clusterable_presenter_spec.rb'
    - 'spec/presenters/issue_presenter_spec.rb'
    - 'spec/presenters/label_presenter_spec.rb'
    - 'spec/presenters/merge_request_presenter_spec.rb'
    - 'spec/presenters/milestone_presenter_spec.rb'
    - 'spec/presenters/packages/composer/packages_presenter_spec.rb'
    - 'spec/presenters/packages/conan/package_presenter_spec.rb'
    - 'spec/presenters/packages/detail/package_presenter_spec.rb'
    - 'spec/presenters/packages/helm/index_presenter_spec.rb'
    - 'spec/presenters/packages/npm/package_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/package_metadata_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/packages_metadata_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/packages_versions_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/search_results_presenter_spec.rb'
    - 'spec/presenters/packages/nuget/service_index_presenter_spec.rb'
    - 'spec/presenters/packages/pypi/simple_index_presenter_spec.rb'
    - 'spec/presenters/packages/pypi/simple_package_versions_presenter_spec.rb'
    - 'spec/presenters/pages_domain_presenter_spec.rb'
    - 'spec/presenters/project_clusterable_presenter_spec.rb'
    - 'spec/presenters/project_hook_presenter_spec.rb'
    - 'spec/presenters/project_presenter_spec.rb'
    - 'spec/presenters/projects/import_export/project_export_presenter_spec.rb'
    - 'spec/presenters/projects/security/configuration_presenter_spec.rb'
    - 'spec/presenters/projects/settings/deploy_keys_presenter_spec.rb'
    - 'spec/presenters/prometheus_alert_presenter_spec.rb'
    - 'spec/presenters/release_presenter_spec.rb'
    - 'spec/presenters/releases/link_presenter_spec.rb'
    - 'spec/presenters/search_service_presenter_spec.rb'
    - 'spec/presenters/service_hook_presenter_spec.rb'
    - 'spec/presenters/snippet_blob_presenter_spec.rb'
    - 'spec/presenters/snippet_presenter_spec.rb'
    - 'spec/presenters/terraform/modules_presenter_spec.rb'
    - 'spec/presenters/tree_entry_presenter_spec.rb'
    - 'spec/presenters/user_presenter_spec.rb'
    - 'spec/presenters/web_hook_log_presenter_spec.rb'
    - 'spec/serializers/access_token_entity_base_spec.rb'
    - 'spec/serializers/analytics_build_entity_spec.rb'
    - 'spec/serializers/analytics_build_serializer_spec.rb'
    - 'spec/serializers/analytics_issue_entity_spec.rb'
    - 'spec/serializers/analytics_issue_serializer_spec.rb'
    - 'spec/serializers/analytics_merge_request_serializer_spec.rb'
    - 'spec/serializers/analytics_summary_serializer_spec.rb'
    - 'spec/serializers/base_discussion_entity_spec.rb'
    - 'spec/serializers/blob_entity_spec.rb'
    - 'spec/serializers/build_action_entity_spec.rb'
    - 'spec/serializers/build_artifact_entity_spec.rb'
    - 'spec/serializers/build_details_entity_spec.rb'
    - 'spec/serializers/ci/dag_job_entity_spec.rb'
    - 'spec/serializers/ci/dag_job_group_entity_spec.rb'
    - 'spec/serializers/ci/dag_pipeline_entity_spec.rb'
    - 'spec/serializers/ci/dag_pipeline_serializer_spec.rb'
    - 'spec/serializers/ci/dag_stage_entity_spec.rb'
    - 'spec/serializers/ci/downloadable_artifact_entity_spec.rb'
    - 'spec/serializers/ci/downloadable_artifact_serializer_spec.rb'
    - 'spec/serializers/ci/group_variable_entity_spec.rb'
    - 'spec/serializers/ci/job_entity_spec.rb'
    - 'spec/serializers/ci/job_serializer_spec.rb'
    - 'spec/serializers/ci/lint/result_serializer_spec.rb'
    - 'spec/serializers/ci/pipeline_entity_spec.rb'
    - 'spec/serializers/ci/trigger_entity_spec.rb'
    - 'spec/serializers/ci/variable_entity_spec.rb'
    - 'spec/serializers/cluster_application_entity_spec.rb'
    - 'spec/serializers/cluster_entity_spec.rb'
    - 'spec/serializers/cluster_serializer_spec.rb'
    - 'spec/serializers/clusters/kubernetes_error_entity_spec.rb'
    - 'spec/serializers/commit_entity_spec.rb'
    - 'spec/serializers/container_repositories_serializer_spec.rb'
    - 'spec/serializers/container_repository_entity_spec.rb'
    - 'spec/serializers/container_tag_entity_spec.rb'
    - 'spec/serializers/context_commits_diff_entity_spec.rb'
    - 'spec/serializers/deploy_keys/basic_deploy_key_entity_spec.rb'
    - 'spec/serializers/deploy_keys/deploy_key_entity_spec.rb'
    - 'spec/serializers/deployment_cluster_entity_spec.rb'
    - 'spec/serializers/deployment_entity_spec.rb'
    - 'spec/serializers/deployment_serializer_spec.rb'
    - 'spec/serializers/diff_file_base_entity_spec.rb'
    - 'spec/serializers/diff_file_entity_spec.rb'
    - 'spec/serializers/diff_file_metadata_entity_spec.rb'
    - 'spec/serializers/diff_viewer_entity_spec.rb'
    - 'spec/serializers/diffs_entity_spec.rb'
    - 'spec/serializers/diffs_metadata_entity_spec.rb'
    - 'spec/serializers/discussion_diff_file_entity_spec.rb'
    - 'spec/serializers/discussion_entity_spec.rb'
    - 'spec/serializers/environment_entity_spec.rb'
    - 'spec/serializers/environment_serializer_spec.rb'
    - 'spec/serializers/environment_status_entity_spec.rb'
    - 'spec/serializers/evidences/evidence_entity_spec.rb'
    - 'spec/serializers/evidences/release_entity_spec.rb'
    - 'spec/serializers/feature_flag_entity_spec.rb'
    - 'spec/serializers/feature_flag_serializer_spec.rb'
    - 'spec/serializers/feature_flag_summary_entity_spec.rb'
    - 'spec/serializers/feature_flag_summary_serializer_spec.rb'
    - 'spec/serializers/feature_flags_client_serializer_spec.rb'
    - 'spec/serializers/fork_namespace_entity_spec.rb'
    - 'spec/serializers/group_access_token_entity_spec.rb'
    - 'spec/serializers/group_access_token_serializer_spec.rb'
    - 'spec/serializers/group_child_entity_spec.rb'
    - 'spec/serializers/group_child_serializer_spec.rb'
    - 'spec/serializers/group_deploy_key_entity_spec.rb'
    - 'spec/serializers/group_link/group_group_link_entity_spec.rb'
    - 'spec/serializers/group_link/project_group_link_entity_spec.rb'
    - 'spec/serializers/group_link/project_group_link_serializer_spec.rb'
    - 'spec/serializers/impersonation_access_token_entity_spec.rb'
    - 'spec/serializers/impersonation_access_token_serializer_spec.rb'
    - 'spec/serializers/import/manifest_provider_repo_entity_spec.rb'
    - 'spec/serializers/integrations/event_entity_spec.rb'
    - 'spec/serializers/integrations/harbor_serializers/artifact_entity_spec.rb'
    - 'spec/serializers/integrations/harbor_serializers/repository_entity_spec.rb'
    - 'spec/serializers/integrations/harbor_serializers/tag_entity_spec.rb'
    - 'spec/serializers/integrations/project_entity_spec.rb'
    - 'spec/serializers/issuable_sidebar_extras_entity_spec.rb'
    - 'spec/serializers/issue_board_entity_spec.rb'
    - 'spec/serializers/issue_entity_spec.rb'
    - 'spec/serializers/issue_serializer_spec.rb'
    - 'spec/serializers/issue_sidebar_basic_entity_spec.rb'
    - 'spec/serializers/jira_connect/app_data_serializer_spec.rb'
    - 'spec/serializers/jira_connect/group_entity_spec.rb'
    - 'spec/serializers/jira_connect/subscription_entity_spec.rb'
    - 'spec/serializers/job_artifact_report_entity_spec.rb'
    - 'spec/serializers/label_serializer_spec.rb'
    - 'spec/serializers/lfs_file_lock_entity_spec.rb'
    - 'spec/serializers/linked_project_issue_entity_spec.rb'
    - 'spec/serializers/member_entity_spec.rb'
    - 'spec/serializers/member_serializer_spec.rb'
    - 'spec/serializers/member_user_entity_spec.rb'
    - 'spec/serializers/merge_request_current_user_entity_spec.rb'
    - 'spec/serializers/merge_request_diff_entity_spec.rb'
    - 'spec/serializers/merge_request_for_pipeline_entity_spec.rb'
    - 'spec/serializers/merge_request_metrics_helper_spec.rb'
    - 'spec/serializers/merge_request_poll_cached_widget_entity_spec.rb'
    - 'spec/serializers/merge_request_poll_widget_entity_spec.rb'
    - 'spec/serializers/merge_request_serializer_spec.rb'
    - 'spec/serializers/merge_request_sidebar_basic_entity_spec.rb'
    - 'spec/serializers/merge_request_sidebar_extras_entity_spec.rb'
    - 'spec/serializers/merge_request_user_entity_spec.rb'
    - 'spec/serializers/merge_request_widget_commit_entity_spec.rb'
    - 'spec/serializers/merge_request_widget_entity_spec.rb'
    - 'spec/serializers/merge_requests/pipeline_entity_spec.rb'
    - 'spec/serializers/namespace_basic_entity_spec.rb'
    - 'spec/serializers/note_entity_spec.rb'
    - 'spec/serializers/paginated_diff_entity_spec.rb'
    - 'spec/serializers/personal_access_token_entity_spec.rb'
    - 'spec/serializers/personal_access_token_serializer_spec.rb'
    - 'spec/serializers/pipeline_details_entity_spec.rb'
    - 'spec/serializers/pipeline_serializer_spec.rb'
    - 'spec/serializers/project_access_token_entity_spec.rb'
    - 'spec/serializers/project_access_token_serializer_spec.rb'
    - 'spec/serializers/project_import_entity_spec.rb'
    - 'spec/serializers/project_mirror_entity_spec.rb'
    - 'spec/serializers/project_note_entity_spec.rb'
    - 'spec/serializers/project_serializer_spec.rb'
    - 'spec/serializers/prometheus_alert_entity_spec.rb'
    - 'spec/serializers/release_serializer_spec.rb'
    - 'spec/serializers/review_app_setup_entity_spec.rb'
    - 'spec/serializers/runner_entity_spec.rb'
    - 'spec/serializers/serverless/domain_entity_spec.rb'
    - 'spec/serializers/stage_entity_spec.rb'
    - 'spec/serializers/stage_serializer_spec.rb'
    - 'spec/serializers/suggestion_entity_spec.rb'
    - 'spec/serializers/test_case_entity_spec.rb'
    - 'spec/serializers/test_report_entity_spec.rb'
    - 'spec/serializers/test_report_summary_entity_spec.rb'
    - 'spec/serializers/test_suite_entity_spec.rb'
    - 'spec/serializers/test_suite_summary_entity_spec.rb'
    - 'spec/serializers/trigger_variable_entity_spec.rb'
    - 'spec/serializers/user_entity_spec.rb'
    - 'spec/serializers/user_serializer_spec.rb'
    - 'spec/serializers/web_ide_terminal_entity_spec.rb'
    - 'spec/serializers/web_ide_terminal_serializer_spec.rb'
